VPS侦探论坛

 找回密码
 注册
查看: 263|回复: 6

lnmp1.8-full安装失败

[复制链接]
发表于 2022-9-22 10:35:00 | 显示全部楼层 |阅读模式

安装失败日志在这里,麻烦军哥帮忙看看是哪个环节出了问题


--------------------------------------------------分割线--------------------------------------------------
Press any key to install...or Press Ctrl+c to cancel
You will install lnmp stack.
nginx-1.20.1
mysql-5.7.34
php-7.3.29
Enable InnoDB: n
Print lnmp.conf infomation...
Download Mirror: https://soft.vpser.net
Nginx Additional Modules:
PHP Additional Modules:
Database Directory: /usr/local/mysql/var
Default Website Directory: /home/wwwroot/default
LNMP Version: 1.8
CentOS 7
\S
Kernel \r on an \m

CentOS Linux release 7.6.1810 (Core)
NAME="CentOS Linux"
VERSION="7 (Core)"
ID="centos"
ID_LIKE="rhel fedora"
VERSION_ID="7"
PRETTY_NAME="CentOS Linux 7 (Core)"
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:centos:centos:7"
HOME_URL="https://www.centos.org/"
BUG_REPORT_URL="https://bugs.centos.org/"

CENTOS_MANTISBT_PROJECT="CentOS-7"
CENTOS_MANTISBT_PROJECT_VERSION="7"
REDHAT_SUPPORT_PRODUCT="centos"
REDHAT_SUPPORT_PRODUCT_VERSION="7"

CentOS Linux release 7.6.1810 (Core)
CentOS Linux release 7.6.1810 (Core)
Linux host-10-112-161-22 3.10.0-957.el7.x86_64 #1 SMP Thu Nov 8 23:39:32 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
Memory is: 16045 MB
Filesystem               Size  Used Avail Use% Mounted on
/dev/mapper/centos-root   50G  3.4G   47G   7% /
devtmpfs                 7.9G     0  7.9G   0% /dev
tmpfs                    7.9G   20K  7.9G   1% /dev/shm
tmpfs                    7.9G   57M  7.8G   1% /run
tmpfs                    7.9G     0  7.9G   0% /sys/fs/cgroup
/dev/vda1               1014M  153M  862M  16% /boot
/dev/mapper/centos-home   46G  6.3G   39G  14% /home
tmpfs                    1.6G     0  1.6G   0% /run/user/0
/dev/vdb1                197G   61M  187G   1% /opt
/dev/loop0               4.3G  4.3G     0 100% /mnt/dvd
OpenSSL 1.0.2k  26 Jan 2017
Hosts: ok.
ping: lnmp.org: Name or service not known
DNS...ok
curl: (6) Could not resolve host: ip.vpszt.com; Unknown error
curl: (6) Could not resolve host: ip.vpser.net; Unknown error
Server Location:
Try http://soft.vpser.net ...
ping: soft.vpser.net: Name or service not known
Try http://soft2.vpser.net ...
Try http://soft1.vpser.net ...
Can not connect to download mirror,Please modify lnmp.conf manually.
More info,please visit https://lnmp.org/faq/download-url.html


--------------------------------------------------分割线--------------------------------------------------

美国VPS推荐: 遨游主机LinodeLOCVPS主机云VPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2022-9-22 16:38:23 | 显示全部楼层


网络不通,如果是内网或无网络环境按官网安装教程里面的链接设置光盘源并添加指定的参数
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
 楼主| 发表于 2022-9-23 10:26:38 | 显示全部楼层

下面是选择离线安装lnmp的情况下出现的问题哈,只有nginx成功了其他两个都失败了,用的是本地源

https://tmp.link/f/632d196615b5a
美国VPS推荐: 遨游主机LinodeLOCVPS主机云VPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2022-9-23 19:22:49 | 显示全部楼层



一岁呀 发表于 2022-9-23 10:26
下面是选择离线安装lnmp的情况下出现的问题哈,只有nginx成功了其他两个都失败了,用的是本地源

https://t ...
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
Resolving Dependencies
--> Running transaction check
---> Package e2fsprogs-devel.x86_64 0:1.42.9-13.el7 will be installed
--> Processing Dependency: libcom_err-devel(x86-64) = 1.42.9-13.el7 for package: e2fsprogs-devel-1.42.9-13.el7.x86_64
--> Processing Dependency: e2fsprogs-libs(x86-64) = 1.42.9-13.el7 for package: e2fsprogs-devel-1.42.9-13.el7.x86_64
--> Finished Dependency Resolution
Error: Package: e2fsprogs-devel-1.42.9-13.el7.x86_64 (local-media)
           Requires: libcom_err-devel(x86-64) = 1.42.9-13.el7
           Installed: libcom_err-devel-1.42.9-17.el7.x86_64 (@base)
               libcom_err-devel(x86-64) = 1.42.9-17.el7
           Available: libcom_err-devel-1.42.9-13.el7.x86_64 (local-media)
               libcom_err-devel(x86-64) = 1.42.9-13.el7
Error: Package: e2fsprogs-devel-1.42.9-13.el7.x86_64 (local-media)
           Requires: e2fsprogs-libs(x86-64) = 1.42.9-13.el7
           Installed: e2fsprogs-libs-1.42.9-17.el7.x86_64 (@base)
               e2fsprogs-libs(x86-64) = 1.42.9-17.el7
           Available: e2fsprogs-libs-1.42.9-13.el7.x86_64 (local-media)
               e2fsprogs-libs(x86-64) = 1.42.9-13.el7
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
Resolving Dependencies
--> Running transaction check
---> Package libicu-devel.x86_64 0:50.1.2-17.el7 will be installed
--> Processing Dependency: libicu(x86-64) = 50.1.2-17.el7 for package: libicu-devel-50.1.2-17.el7.x86_64
--> Finished Dependency Resolution
Error: Package: libicu-devel-50.1.2-17.el7.x86_64 (local-media)
           Requires: libicu(x86-64) = 50.1.2-17.el7
           Installed: libicu-50.2-3.el7.x86_64 (@base)
               libicu(x86-64) = 50.2-3.el7
           Available: libicu-50.1.2-17.el7.x86_64 (local-media)
               libicu(x86-64) = 50.1.2-17.el7
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

。。。。。。
[ 12%] Built target clientlib
Linking CXX shared library libmysqlclient.so
../archive_output_directory/libclientlib.a(sha2_password_common.cc.o): In function `sha2_password::SHA256_digest::retrieve_digest(unsigned char*, unsigned int)':
/home/lnmp1.8-full/src/mysql-5.7.34/sql/auth/sha2_password_common.cc:122: undefined reference to `EVP_MD_CTX_reset'
../archive_output_directory/libclientlib.a(sha2_password_common.cc.o): In function `sha2_password::SHA256_digest::init()':
/home/lnmp1.8-full/src/mysql-5.7.34/sql/auth/sha2_password_common.cc:149: undefined reference to `EVP_MD_CTX_new'
/home/lnmp1.8-full/src/mysql-5.7.34/sql/auth/sha2_password_common.cc:160: undefined reference to `EVP_MD_CTX_free'
../archive_output_directory/libclientlib.a(sha2_password_common.cc.o): In function `sha2_password::SHA256_digest::deinit()':
/home/lnmp1.8-full/src/mysql-5.7.34/sql/auth/sha2_password_common.cc:175: undefined reference to `EVP_MD_CTX_free'
../archive_output_directory/libvio.a(viossl.c.o): In function `ssl_do':
/home/lnmp1.8-full/src/mysql-5.7.34/vio/viossl.c:392: undefined reference to `SSL_set_options'
/home/lnmp1.8-full/src/mysql-5.7.34/vio/viossl.c:392: undefined reference to `SSL_set_options'
../archive_output_directory/libvio.a(viosslfactories.c.o): In function `new_VioSSLFd':
/home/lnmp1.8-full/src/mysql-5.7.34/vio/viosslfactories.c:549: undefined reference to `TLS_server_method'
/home/lnmp1.8-full/src/mysql-5.7.34/vio/viosslfactories.c:560: undefined reference to `SSL_CTX_set_options'
/home/lnmp1.8-full/src/mysql-5.7.34/vio/viosslfactories.c:566: undefined reference to `SSL_CTX_set_ciphersuites'
../archive_output_directory/libvio.a(viosslfactories.c.o): In function `get_dh2048':
/home/lnmp1.8-full/src/mysql-5.7.34/vio/viosslfactories.c:131: undefined reference to `DH_set0_pqg'
../archive_output_directory/libvio.a(viosslfactories.c.o): In function `new_VioSSLFd':
/home/lnmp1.8-full/src/mysql-5.7.34/vio/viosslfactories.c:549: undefined reference to `TLS_client_method'
../archive_output_directory/libvio.a(viosslfactories.c.o): In function `mysql_OPENSSL_init':
/home/lnmp1.8-full/src/mysql-5.7.34/include/my_openssl.h:57: undefined reference to `OPENSSL_init_ssl'
../archive_output_directory/libvio.a(viosslfactories.c.o): In function `ssl_start':
/home/lnmp1.8-full/src/mysql-5.7.34/vio/viosslfactories.c:443: undefined reference to `OPENSSL_init_crypto'
/home/lnmp1.8-full/src/mysql-5.7.34/vio/viosslfactories.c:444: undefined reference to `OPENSSL_init_ssl'
collect2: error: ld returned 1 exit status

首先你之前用其他源安装过软件包,可以参考:https://bbs.vpser.net/thread-26066-1-1.html
其次你系统自行升级过openssl且是有问题的
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
 楼主| 发表于 6 天前 | 显示全部楼层

军哥,根据您推荐的方法试了一下,中间有个小错误,应该处理好这个估计就正常了。具体在下边的文本里面哈

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有账号?注册

x

美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

 楼主| 发表于 6 天前 | 显示全部楼层

且openssl的版本已经下调为1.0.2k。
发表于 5 天前 | 显示全部楼层

一岁呀 发表于 2022-9-29 10:58
军哥,根据您推荐的方法试了一下,中间有个小错误,应该处理好这个估计就正常了。具体在下边的文本里面哈 ...
--> Finished Dependency Resolution
Error: Package: libgnat-static-4.8.5-39.el7.x86_64 (@base)
           Requires: libgnat-devel = 4.8.5-39.el7
           Removing: libgnat-devel-4.8.5-39.el7.x86_64 (@base)
               libgnat-devel = 4.8.2-16.el7
               libgnat-devel = 4.8.5-39.el7
           Downgraded By: libgnat-devel-4.8.5-36.el7.x86_64 (local-media)
               libgnat-devel = 4.8.5-36.el7
               libgnat-devel = 4.8.2-16.el7
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

rpm -e --nodeps --force 软件报名  将提示的这两个软件包卸载后,再重新运行同步命令
这个还是因为你设置离线源之前使用过网络源导致的
有可能还会有其他问题
美国VPS推荐: 遨游主机LinodeLOCVPS主机云VPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2022-10-5 04:09 , Processed in 0.024472 second(s), 17 queries .

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表